package com.xy.entity;

import com.xy.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备计费历史表
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeviceChargingHistory对象", description = "设备计费历史表")
public class DeviceChargingHistory extends BaseEntity<DeviceChargingHistory> implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "续费金额")
    private Integer chargingMoney;

    @ApiModelProperty(value = "续费方式")
    private Integer chargingType;

    @ApiModelProperty(value = "续费有效期")
    private LocalDateTime chargingDateTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

}
