package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xy.dto.DeviceInfoDto;
import com.xy.entity.DeviceInfo;
import com.xy.mapper.entity.DeviceInfoQueryPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备-信息 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
public interface DeviceInfoMapper extends BaseMapper<DeviceInfo> {

    /**
     * 分页查询
     *
     * @param page
     * @param queryPage
     * @return
     */
    IPage<DeviceInfoQueryPage> queryPage(IPage page, @Param("queryPage") DeviceInfoDto.Page queryPage);

    /**
     * 小程序首页设备列表线路分组
     *
     * @param queryDTO
     * @return
     */
    List<DeviceInfoDto.MercHomeCountVO> merHomeCountList(@Param("query") DeviceInfoDto.MercHomeQueryDTO queryDTO);

}
