package com.xy.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xy.dto.DeviceChargingHistoryDto;
import com.xy.dto.DeviceInfoDto;
import com.xy.entity.DeviceChargingHistory;
import com.xy.mapper.DeviceChargingHistoryMapper;
import com.xy.utils.Emptys;
import com.xy.utils.PageBean;
import com.xy.utils.PlusBeans;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

import static com.xy.utils.PlusBeans.toPageBean;

/**
 * <p>
 * 设备计费历史表 服务实现类
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@Service
@AllArgsConstructor
@Api(tags = "设备计费历史表")
public class DeviceChargingHistoryServiceImpl extends ServiceImpl<DeviceChargingHistoryMapper, DeviceChargingHistory> implements DeviceChargingHistoryService {

    private DeviceInfoServiceImpl deviceInfoService;

    @PostMapping("page")
    @ApiOperation("分页查询")
    public R<PageBean<DeviceChargingHistoryDto.PageVo>> page(@RequestBody @Validated DeviceChargingHistoryDto.Page page) {
        //查询设备计费历史
        LambdaQueryWrapper<DeviceChargingHistory> lambdaQueryWrapper = new LambdaQueryWrapper<DeviceChargingHistory>().eq(DeviceChargingHistory::getDeviceId, page.getDeviceId());
        IPage<DeviceChargingHistory> iPage = page(PlusBeans.toIPage(page.getPage()), lambdaQueryWrapper);
        PageBean<DeviceChargingHistoryDto.PageVo> pageVoPageBean = toPageBean(DeviceChargingHistoryDto.PageVo.class, iPage);
        List<DeviceChargingHistoryDto.PageVo> records = pageVoPageBean.getRecords();
        if (!Emptys.check(records)) {
            return R.ok(pageVoPageBean);
        }
        //查询设备信息
        DeviceInfoDto.Vo deviceInfo = deviceInfoService.obj(new DeviceInfoDto.Obj().setDeviceId(page.getDeviceId())).getData();
        records.forEach(pageVo -> pageVo.setDeviceInfo(deviceInfo));
        return R.ok(pageVoPageBean);
    }
}